metron-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From o...@apache.org
Subject [17/51] [abbrv] metron git commit: METRON-1758 Add support for Ansible 2.6 in dev (JonZeolla via jonzeolla) closes apache/metron#1179
Date Wed, 24 Oct 2018 15:04:06 GMT
METRON-1758 Add support for Ansible 2.6 in dev (JonZeolla via jonzeolla) closes apache/metron#1179


Project: http://git-wip-us.apache.org/repos/asf/metron/repo
Commit: http://git-wip-us.apache.org/repos/asf/metron/commit/1723a0ea
Tree: http://git-wip-us.apache.org/repos/asf/metron/tree/1723a0ea
Diff: http://git-wip-us.apache.org/repos/asf/metron/diff/1723a0ea

Branch: refs/heads/feature/METRON-1090-stellar-assignment
Commit: 1723a0eae57adcfc4a2efe2422f52fbed4c237e7
Parents: fbabfca
Author: JonZeolla <zeolla@gmail.com>
Authored: Mon Oct 1 08:41:25 2018 -0400
Committer: jonzeolla <jonzeolla@apache.org>
Committed: Mon Oct 1 08:41:25 2018 -0400

----------------------------------------------------------------------
 metron-deployment/amazon-ec2/README.md          |  2 +-
 metron-deployment/amazon-ec2/ansible.cfg        |  1 +
 metron-deployment/amazon-ec2/playbook.yml       |  4 --
 metron-deployment/ansible.cfg                   | 23 ----------
 .../0_minimum_ansible_version.py                | 45 ++++++++++++++++++++
 .../ansible/playbooks/metron_full_install.yml   | 16 +++----
 .../ambari_common/tasks/ambari-repo-ubuntu.yml  |  3 +-
 .../ansible/roles/ambari_common/tasks/main.yml  | 13 +++---
 .../roles/ambari_common/tasks/nodejs.yml        |  6 ++-
 .../ansible/roles/enable-swap/tasks/main.yml    |  3 +-
 .../ansible/roles/java_jdk/tasks/main.yml       |  6 +--
 .../ansible/roles/metron-builder/tasks/main.yml |  6 +--
 .../roles/metron-packages/tasks/main.yml        | 12 ++----
 metron-deployment/development/centos6/README.md |  5 +--
 .../development/centos6/Vagrantfile             |  2 +-
 .../development/centos6/ansible.cfg             |  2 +-
 .../development/centos6/ansible/playbook.yml    |  2 +-
 .../development/fastcapa/centos-7.1/ansible.cfg |  2 +-
 .../development/fastcapa/centos-7.4/ansible.cfg |  2 +-
 .../development/ubuntu14/README.md              |  5 +--
 .../development/ubuntu14/Vagrantfile            |  2 +-
 .../development/ubuntu14/ansible.cfg            |  2 +-
 .../development/ubuntu14/ansible/playbook.yml   |  2 +-
 23 files changed, 84 insertions(+), 82 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/amazon-ec2/README.md
----------------------------------------------------------------------
diff --git a/metron-deployment/amazon-ec2/README.md b/metron-deployment/amazon-ec2/README.md
index b2efc9e..ed1c73b 100644
--- a/metron-deployment/amazon-ec2/README.md
+++ b/metron-deployment/amazon-ec2/README.md
@@ -38,7 +38,7 @@ Getting Started
 
 The host used to deploy Apache Metron will need the following software tools installed. 
The following versions are known to work as of the time of this writing, but by no means are
these the only working versions.
 
-  - Ansible 2.0.0.2, 2.2.2.0, or 2.5.0
+  - Ansible 2.4.0+
   - Python 2.7.11
   - Maven 3.3.9  
 

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/amazon-ec2/ansible.cfg
----------------------------------------------------------------------
diff --git a/metron-deployment/amazon-ec2/ansible.cfg b/metron-deployment/amazon-ec2/ansible.cfg
index 0fe3343..4291cc8 100644
--- a/metron-deployment/amazon-ec2/ansible.cfg
+++ b/metron-deployment/amazon-ec2/ansible.cfg
@@ -22,6 +22,7 @@ pipelining = True
 remote_user = centos
 forks = 20
 log_path = ./ansible.log
+callback_plugins = ../ansible/callback_plugins
 
 # fix for "ssh throws 'unix domain socket too long' " problem
 #[ssh_connection]

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/amazon-ec2/playbook.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/amazon-ec2/playbook.yml b/metron-deployment/amazon-ec2/playbook.yml
index cb1e326..4e8880a 100644
--- a/metron-deployment/amazon-ec2/playbook.yml
+++ b/metron-deployment/amazon-ec2/playbook.yml
@@ -21,10 +21,6 @@
 - hosts: localhost
   vars_files:
     - conf/defaults.yml
-  pre_tasks:
-    - name: Verify Ansible Version
-      fail: msg="Metron Requires Ansible 2.0.0.2, 2.2.2.0 or 2.5.0, current version is {{
ansible_version }}"
-      when: "ansible_version.full | version_compare('2.2.2.0', '!=') and ansible_version.full
| version_compare('2.0.0.2', '!=') and ansible_version.full | version_compare('2.5.0', '!=')"
   tasks:
     - include: tasks/create-keypair.yml
     - include: tasks/create-vpc.yml

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/ansible.cfg
----------------------------------------------------------------------
diff --git a/metron-deployment/ansible.cfg b/metron-deployment/ansible.cfg
deleted file mode 100644
index 9b3916b..0000000
--- a/metron-deployment/ansible.cfg
+++ /dev/null
@@ -1,23 +0,0 @@
-#
-#  Licensed to the Apache Software Foundation (ASF) under one or more
-#  contributor license agreements.  See the NOTICE file distributed with
-#  this work for additional information regarding copyright ownership.
-#  The ASF licenses this file to You under the Apache License, Version 2.0
-#  (the "License"); you may not use this file except in compliance with
-#  the License.  You may obtain a copy of the License at
-#
-#      http://www.apache.org/licenses/LICENSE-2.0
-#
-#  Unless required by applicable law or agreed to in writing, software
-#  distributed under the License is distributed on an "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#  See the License for the specific language governing permissions and
-#  limitations under the License.
-
-[defaults]
-host_key_checking = false
-library = extra_modules
-roles_path = ./roles
-
-[ssh_connection]
-control_path = %(directory)s/%%h-%%p-%%r
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/ansible/callback_plugins/0_minimum_ansible_version.py
----------------------------------------------------------------------
diff --git a/metron-deployment/ansible/callback_plugins/0_minimum_ansible_version.py b/metron-deployment/ansible/callback_plugins/0_minimum_ansible_version.py
new file mode 100644
index 0000000..596c132
--- /dev/null
+++ b/metron-deployment/ansible/callback_plugins/0_minimum_ansible_version.py
@@ -0,0 +1,45 @@
+#!/usr/bin/env python
+#
+#  Licensed to the Apache Software Foundation (ASF) under one or more
+#  contributor license agreements.  See the NOTICE file distributed with
+#  this work for additional information regarding copyright ownership.
+#  The ASF licenses this file to You under the Apache License, Version 2.0
+#  (the "License"); you may not use this file except in compliance with
+#  the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing, software
+#  distributed under the License is distributed on an "AS IS" BASIS,
+#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#  See the License for the specific language governing permissions and
+#  limitations under the License.
+#
+
+import sys
+from ansible import __version__
+
+from ansible.plugins.callback import CallbackBase
+from ansible.utils.display import Display
+
+def display(*args, **kwargs):
+  display_instance = Display()
+  display_instance.display(*args, **kwargs)
+
+MINIMUM_ANSIBLE_VERSION = '2.4.0'
+
+def version_requirement(version):
+    return version >= MINIMUM_ANSIBLE_VERSION
+
+class CallbackModule(CallbackBase):
+  """
+  This enforces a minimum version of ansible
+  """
+
+  CALLBACK_NAME = 'minimum_ansible_version'
+
+  def __init__(self):
+    super(CallbackModule, self).__init__()
+    if not version_requirement(__version__):
+      display('Metron requires Ansible %s or newer, current version is %s' % (MINIMUM_ANSIBLE_VERSION,
__version__), color='red')
+      sys.exit(1)

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/ansible/playbooks/metron_full_install.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/ansible/playbooks/metron_full_install.yml b/metron-deployment/ansible/playbooks/metron_full_install.yml
index 020cb50..ab72b85 100644
--- a/metron-deployment/ansible/playbooks/metron_full_install.yml
+++ b/metron-deployment/ansible/playbooks/metron_full_install.yml
@@ -15,29 +15,23 @@
 #  limitations under the License.
 #
 ---
-- hosts: all
-  pre_tasks:
-    - name: Verify Ansible Version
-      fail: msg="Metron Requires Ansible 2.0.0.2, 2.2.2.0, or 2.5.0, current version is {{
ansible_version }}"
-      when: "ansible_version.full | version_compare('2.2.2.0', '!=') and ansible_version.full
| version_compare('2.0.0.2', '!=') and ansible_version.full | version_compare('2.5.0', '!=')"
-
-- include: metron_build.yml
+- import_playbook: metron_build.yml
   tags:
     - build
 
-- include: solr_install.yml
+- import_playbook: solr_install.yml
   tags:
     - solr
 
-- include: ambari_install.yml
+- import_playbook: ambari_install.yml
   tags:
     - ambari
 
-- include: metron_install.yml
+- import_playbook: metron_install.yml
   tags:
     - metron
 
-- include: sensor_install.yml
+- import_playbook: sensor_install.yml
 
 #
 # deployment report

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/ansible/roles/ambari_common/tasks/ambari-repo-ubuntu.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/ansible/roles/ambari_common/tasks/ambari-repo-ubuntu.yml b/metron-deployment/ansible/roles/ambari_common/tasks/ambari-repo-ubuntu.yml
index a0ad679..23c4aca 100644
--- a/metron-deployment/ansible/roles/ambari_common/tasks/ambari-repo-ubuntu.yml
+++ b/metron-deployment/ansible/roles/ambari_common/tasks/ambari-repo-ubuntu.yml
@@ -17,7 +17,8 @@
 ---
 
 - name: Setup Ambari repo on Ubuntu
-  shell: echo "deb {{ ubuntu_ambari_repo }} Ambari main" | sudo tee /etc/apt/sources.list.d/ambari.list
+  shell: echo "deb {{ ubuntu_ambari_repo }} Ambari main" | tee /etc/apt/sources.list.d/ambari.list
+  become: true
 
 - name: Update package cache on Ubuntu
   apt: update_cache=yes

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/ansible/roles/ambari_common/tasks/main.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/ansible/roles/ambari_common/tasks/main.yml b/metron-deployment/ansible/roles/ambari_common/tasks/main.yml
index f3fd905..f92a57e 100644
--- a/metron-deployment/ansible/roles/ambari_common/tasks/main.yml
+++ b/metron-deployment/ansible/roles/ambari_common/tasks/main.yml
@@ -16,23 +16,20 @@
 #
 ---
 
-- include: iptables-centos.yml
-  static: no
+- include_tasks: iptables-centos.yml
   when: ansible_distribution == "CentOS"
 
-- include: iptables-ubuntu.yml
-  static: no
+- include_tasks: iptables-ubuntu.yml
   when: ansible_distribution == "Ubuntu"
 
 - include: hostname.yml
 
-- include: ambari-repo-centos.yml
-  static: no
+- include_tasks: ambari-repo-centos.yml
   when: ansible_distribution == "CentOS"
 
-- include: ambari-repo-ubuntu.yml
-  static: no
+- include_tasks: ambari-repo-ubuntu.yml
   when: ansible_distribution == "Ubuntu"
 
 - include: nodejs.yml
+
 - include: logrotate.yml

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/ansible/roles/ambari_common/tasks/nodejs.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/ansible/roles/ambari_common/tasks/nodejs.yml b/metron-deployment/ansible/roles/ambari_common/tasks/nodejs.yml
index 0dbf9f7..ea2067b 100644
--- a/metron-deployment/ansible/roles/ambari_common/tasks/nodejs.yml
+++ b/metron-deployment/ansible/roles/ambari_common/tasks/nodejs.yml
@@ -19,16 +19,18 @@
 # for CentOS...
 #
 - name: Install Nodejs repo on CentOS
-  shell: curl --silent --location https://rpm.nodesource.com/setup_6.x | bash -
+  shell: curl -sL https://rpm.nodesource.com/setup_6.x | bash -
   args:
     warn: false
   when: ansible_distribution == "CentOS"
+  become: true
 
 #
 # for Ubuntu...
 #
 - name: Install Nodejs repo on Ubuntu
-  shell: curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
+  shell: curl -sL https://deb.nodesource.com/setup_6.x | bash -
   args:
     warn: false
   when: ansible_distribution == "Ubuntu"
+  become: true

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/ansible/roles/enable-swap/tasks/main.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/ansible/roles/enable-swap/tasks/main.yml b/metron-deployment/ansible/roles/enable-swap/tasks/main.yml
index f7d108c..4b159b4 100644
--- a/metron-deployment/ansible/roles/enable-swap/tasks/main.yml
+++ b/metron-deployment/ansible/roles/enable-swap/tasks/main.yml
@@ -26,6 +26,5 @@
 - debug: msg="Swap space is NOT yet enabled"
   when: swapcheck.rc == 1
 
-- include: enable-swap.yml
-  static: no
+- include_tasks: enable-swap.yml
   when: swapcheck.rc != 0

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/ansible/roles/java_jdk/tasks/main.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/ansible/roles/java_jdk/tasks/main.yml b/metron-deployment/ansible/roles/java_jdk/tasks/main.yml
index 946da25..8cfea23 100644
--- a/metron-deployment/ansible/roles/java_jdk/tasks/main.yml
+++ b/metron-deployment/ansible/roles/java_jdk/tasks/main.yml
@@ -15,10 +15,8 @@
 #  limitations under the License.
 #
 ---
-- include: install_jdk_centos.yml
-  static: no
+- include_tasks: install_jdk_centos.yml
   when: ansible_distribution == "CentOS"
 
-- include: install_jdk_ubuntu.yml
-  static: no
+- include_tasks: install_jdk_ubuntu.yml
   when: ansible_distribution == "Ubuntu"

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/ansible/roles/metron-builder/tasks/main.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/ansible/roles/metron-builder/tasks/main.yml b/metron-deployment/ansible/roles/metron-builder/tasks/main.yml
index 9636363..56caebc 100644
--- a/metron-deployment/ansible/roles/metron-builder/tasks/main.yml
+++ b/metron-deployment/ansible/roles/metron-builder/tasks/main.yml
@@ -26,10 +26,8 @@
 - include: clean.yml
 - include: build.yml
 
-- include: build-rpms.yml
-  static: no
+- include_tasks: build-rpms.yml
   when: ansible_distribution == "CentOS"
 
-- include: build-debs.yml
-  static: no
+- include_tasks: build-debs.yml
   when: ansible_distribution == "Ubuntu"

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/ansible/roles/metron-packages/tasks/main.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/ansible/roles/metron-packages/tasks/main.yml b/metron-deployment/ansible/roles/metron-packages/tasks/main.yml
index 193a64c..9363a42 100644
--- a/metron-deployment/ansible/roles/metron-packages/tasks/main.yml
+++ b/metron-deployment/ansible/roles/metron-packages/tasks/main.yml
@@ -32,21 +32,17 @@
 # repository or whether it can be left empty.  copying the packages can be a
 # time consuming operation on a large cluster, so it avoided unless required.
 #
-- include: copy_packages_centos.yml
-  static: no
+- include_tasks: copy_packages_centos.yml
   when: ansible_distribution == "CentOS" and packages_required == true
 
-- include: copy_packages_ubuntu.yml
-  static: no
+- include_tasks: copy_packages_ubuntu.yml
   when: ansible_distribution == "Ubuntu" and packages_required == true
 
 #
 # create the local repository
 #
-- include: create_repo_centos.yml
-  static: no
+- include_tasks: create_repo_centos.yml
   when: ansible_distribution == "CentOS"
 
-- include: create_repo_ubuntu.yml
-  static: no
+- include_tasks: create_repo_ubuntu.yml
   when: ansible_distribution == "Ubuntu"

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/development/centos6/README.md
----------------------------------------------------------------------
diff --git a/metron-deployment/development/centos6/README.md b/metron-deployment/development/centos6/README.md
index 0e38d5a..e873452 100644
--- a/metron-deployment/development/centos6/README.md
+++ b/metron-deployment/development/centos6/README.md
@@ -29,7 +29,7 @@ Getting Started
 
 The computer used to deploy Apache Metron will need to have the following components installed.
 
- - [Ansible](https://github.com/ansible/ansible) (2.0.0.2, 2.2.2.0, or 2.5.0)
+ - [Ansible](https://github.com/ansible/ansible) 2.4.0+
  - [Docker](https://www.docker.com/community-edition)
  - [Vagrant](https://www.vagrantup.com) 2.0+
  - [Vagrant Hostmanager Plugin](https://github.com/devopsgroup-io/vagrant-hostmanager)
@@ -53,10 +53,9 @@ Any platform that supports these tools is suitable, but the following instructio
 1. Run the following command in a terminal to install all of the required tools.
 
     ```
-    brew cask install vagrant virtualbox docker
+    brew cask install vagrant virtualbox docker ansible
     brew cask install caskroom/versions/java8
     brew install maven@3.3 git
-    pip install ansible==2.2.2.0
     vagrant plugin install vagrant-hostmanager
     open /Applications/Docker.app
     ```

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/development/centos6/Vagrantfile
----------------------------------------------------------------------
diff --git a/metron-deployment/development/centos6/Vagrantfile b/metron-deployment/development/centos6/Vagrantfile
index d0b7051..05823a2 100644
--- a/metron-deployment/development/centos6/Vagrantfile
+++ b/metron-deployment/development/centos6/Vagrantfile
@@ -99,6 +99,6 @@ Vagrant.configure(2) do |config|
     ansible.tags = ansibleTags.split(",") if ansibleTags != ''
     ansible.skip_tags = ansibleSkipTags.split(",") if ansibleSkipTags != ''
     ansible.inventory_path = "ansible/inventory"
-    ansible.compatibility_mode = "1.8"
+    ansible.compatibility_mode = "auto"
   end
 end

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/development/centos6/ansible.cfg
----------------------------------------------------------------------
diff --git a/metron-deployment/development/centos6/ansible.cfg b/metron-deployment/development/centos6/ansible.cfg
index ade50ae..66f0afd 100644
--- a/metron-deployment/development/centos6/ansible.cfg
+++ b/metron-deployment/development/centos6/ansible.cfg
@@ -20,7 +20,7 @@ library = ../../ansible/extra_modules
 roles_path = ../../ansible/roles
 pipelining = True
 log_path = ./ansible.log
-
+callback_plugins = ../../ansible/callback_plugins
 
 # fix for "ssh throws 'unix domain socket too long' " problem
 [ssh_connection]

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/development/centos6/ansible/playbook.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/development/centos6/ansible/playbook.yml b/metron-deployment/development/centos6/ansible/playbook.yml
index 562fb1d..433d3b5 100644
--- a/metron-deployment/development/centos6/ansible/playbook.yml
+++ b/metron-deployment/development/centos6/ansible/playbook.yml
@@ -21,4 +21,4 @@
     - { role: enable-swap,       tags: enable-swap }
     - { role: enable-remote-ssh, tags: enable-remote-ssh }
 
-- include: ../../../ansible/playbooks/metron_full_install.yml
+- import_playbook: ../../../ansible/playbooks/metron_full_install.yml

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/development/fastcapa/centos-7.1/ansible.cfg
----------------------------------------------------------------------
diff --git a/metron-deployment/development/fastcapa/centos-7.1/ansible.cfg b/metron-deployment/development/fastcapa/centos-7.1/ansible.cfg
index dd78cfd..6ad9241 100644
--- a/metron-deployment/development/fastcapa/centos-7.1/ansible.cfg
+++ b/metron-deployment/development/fastcapa/centos-7.1/ansible.cfg
@@ -14,9 +14,9 @@
 #  See the License for the specific language governing permissions and
 #  limitations under the License.
 #
-
 [defaults]
 host_key_checking = false
 library = ../../../ansible/extra_modules
 roles_path = ../../../ansible/roles
 pipelining = True
+callback_plugins = ../../../ansible/callback_plugins

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/development/fastcapa/centos-7.4/ansible.cfg
----------------------------------------------------------------------
diff --git a/metron-deployment/development/fastcapa/centos-7.4/ansible.cfg b/metron-deployment/development/fastcapa/centos-7.4/ansible.cfg
index dd78cfd..6ad9241 100644
--- a/metron-deployment/development/fastcapa/centos-7.4/ansible.cfg
+++ b/metron-deployment/development/fastcapa/centos-7.4/ansible.cfg
@@ -14,9 +14,9 @@
 #  See the License for the specific language governing permissions and
 #  limitations under the License.
 #
-
 [defaults]
 host_key_checking = false
 library = ../../../ansible/extra_modules
 roles_path = ../../../ansible/roles
 pipelining = True
+callback_plugins = ../../../ansible/callback_plugins

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/development/ubuntu14/README.md
----------------------------------------------------------------------
diff --git a/metron-deployment/development/ubuntu14/README.md b/metron-deployment/development/ubuntu14/README.md
index a3cb89b..494937e 100644
--- a/metron-deployment/development/ubuntu14/README.md
+++ b/metron-deployment/development/ubuntu14/README.md
@@ -29,7 +29,7 @@ Getting Started
 
 The computer used to deploy Apache Metron will need to have the following components installed.
 
- - [Ansible](https://github.com/ansible/ansible) (2.0.0.2, 2.2.2.0, or 2.5.0)
+ - [Ansible](https://github.com/ansible/ansible) 2.4.0+
  - [Docker](https://www.docker.com/community-edition)
  - [Vagrant](https://www.vagrantup.com) 2.0+
  - [Vagrant Hostmanager Plugin](https://github.com/devopsgroup-io/vagrant-hostmanager)
@@ -53,10 +53,9 @@ Any platform that supports these tools is suitable, but the following instructio
 1. Run the following command in a terminal to install all of the required tools.
 
     ```
-    brew cask install vagrant virtualbox docker
+    brew cask install vagrant virtualbox docker ansible
     brew cask install caskroom/versions/java8
     brew install maven@3.3 git
-    pip install ansible==2.2.2.0
     vagrant plugin install vagrant-hostmanager
     open /Applications/Docker.app
     ```

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/development/ubuntu14/Vagrantfile
----------------------------------------------------------------------
diff --git a/metron-deployment/development/ubuntu14/Vagrantfile b/metron-deployment/development/ubuntu14/Vagrantfile
index cfa3cdf..facc3cc 100644
--- a/metron-deployment/development/ubuntu14/Vagrantfile
+++ b/metron-deployment/development/ubuntu14/Vagrantfile
@@ -94,6 +94,6 @@ Vagrant.configure(2) do |config|
     ansible.tags = ansibleTags.split(",") if ansibleTags != ''
     ansible.skip_tags = ansibleSkipTags.split(",") if ansibleSkipTags != ''
     ansible.inventory_path = "ansible/inventory"
-    ansible.compatibility_mode = "1.8"
+    ansible.compatibility_mode = "auto"
   end
 end

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/development/ubuntu14/ansible.cfg
----------------------------------------------------------------------
diff --git a/metron-deployment/development/ubuntu14/ansible.cfg b/metron-deployment/development/ubuntu14/ansible.cfg
index ade50ae..66f0afd 100644
--- a/metron-deployment/development/ubuntu14/ansible.cfg
+++ b/metron-deployment/development/ubuntu14/ansible.cfg
@@ -20,7 +20,7 @@ library = ../../ansible/extra_modules
 roles_path = ../../ansible/roles
 pipelining = True
 log_path = ./ansible.log
-
+callback_plugins = ../../ansible/callback_plugins
 
 # fix for "ssh throws 'unix domain socket too long' " problem
 [ssh_connection]

http://git-wip-us.apache.org/repos/asf/metron/blob/1723a0ea/metron-deployment/development/ubuntu14/ansible/playbook.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/development/ubuntu14/ansible/playbook.yml b/metron-deployment/development/ubuntu14/ansible/playbook.yml
index fcbe99c..e4833cc 100644
--- a/metron-deployment/development/ubuntu14/ansible/playbook.yml
+++ b/metron-deployment/development/ubuntu14/ansible/playbook.yml
@@ -22,4 +22,4 @@
   roles:
     - role: enable-swap
 
-- include: ../../../ansible/playbooks/metron_full_install.yml
+- import_playbook: ../../../ansible/playbooks/metron_full_install.yml


Mime
View raw message